## ShellGtkEmbed ShellGtkEmbed |

## Functions

ClutterActor * | shell_gtk_embed_new ()

## Properties

ShellEmbeddedWindow * | window | Read / Write / Construct Only

## Types and Values

#define | SHELL_TYPE_GTK_EMBED
struct | ShellGtkEmbedClass
| ShellGtkEmbed

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── ClutterActor
                ╰── ClutterClone
                    ╰── ShellGtkEmbed
                        ╰── ShellTrayIcon

## Implemented Interfaces

ShellGtkEmbed implements ClutterContainer, ClutterScriptable, ClutterAnimatable and AtkImplementorIface.

## Description

## Functions

### shell_gtk_embed_new ()

    ClutterActor *
    shell_gtk_embed_new (ShellEmbeddedWindow *window);

## Types and Values

### SHELL_TYPE_GTK_EMBED

    #define SHELL_TYPE_GTK_EMBED (shell_gtk_embed_get_type ())

### struct ShellGtkEmbedClass

    struct ShellGtkEmbedClass {
        ClutterCloneClass parent_class;
    };

### ShellGtkEmbed

    typedef struct _ShellGtkEmbed ShellGtkEmbed;

## Property Details

### The `“window”` property

      “window”                   ShellEmbeddedWindow *

ShellEmbeddedWindow to embed.

Flags: Read / Write / Construct Only